package com.yingpai.stock.service;

import com.yingpai.stock.domain.bo.StockInfoBo;
import com.yingpai.stock.domain.vo.StockInfoVo;
import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;

import java.util.Collection;
import java.util.List;

/**
 * 股票信息服务接口
 */
public interface IStockInfoService {

    /**
     * 查询股票信息列表（分页）
     */
    TableDataInfo<StockInfoVo> queryPageList(StockInfoBo bo, PageQuery pageQuery);

    /**
     * 查询股票信息列表
     */
    List<StockInfoVo> queryList(StockInfoBo bo);

    /**
     * 根据ID查询股票详情
     */
    StockInfoVo queryById(Long id);

    /**
     * 新增股票信息
     */
    Boolean insertByBo(StockInfoBo bo);

    /**
     * 修改股票信息
     */
    Boolean updateByBo(StockInfoBo bo);

    /**
     * 批量删除股票信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids);
}
